> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace



## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml put /edges/tls/{id}/tls_termination
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /edges/tls/{id}/tls_termination:
    put:
      tags:
        - TLSEdgeTLSTerminationModule
      summary: Replace
      operationId: TlsEdgeTlsTerminationModuleReplace
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EdgeTLSTerminationReplace'
      responses:
        '200':
          description: n/a
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointTLSTermination'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    EdgeTLSTerminationReplace:
      type: object
      properties:
        id:
          description: n/a
          type: string
        module:
          $ref: '#/components/schemas/EndpointTLSTermination'
          description: n/a
    EndpointTLSTermination:
      type: object
      properties:
        enabled:
          description: >
            `true` if the module will be applied to traffic, `false` to disable.
            default `true` if unspecified
          type: boolean
        terminate_at:
          description: >
            `edge` if the ngrok edge should terminate TLS traffic, `upstream` if
            TLS traffic should be passed through to the upstream ngrok agent /
            application server for termination. if `upstream` is chosen, most
            other modules will be disallowed because they rely on the ngrok edge
            being able to access the underlying traffic.
          type: string
        min_version:
          description: >
            The minimum TLS version used for termination and advertised to the
            client during the TLS handshake. if unspecified, ngrok will choose
            an industry-safe default. This value must be null if `terminate_at`
            is set to `upstream`.
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````